Help - Search - Members - Calendar
Full Version: Pkg-config
Linuxhelp > Support > Technical Support
Robert83
I found something called a GTK Theme switcher wich should switch those themes I've downloaded,

I set up pkg-config wich was needed for it, and now there is a problem, how to ad /usr/lib/pkgconfig something called glib
,by the way how do I check wich version of glib do I have?

I need glib because gtk won't install and says that I need to ad it to the PKG_CONFIG_PATH...


Sincerely
Robert B
hughesjr
is this for whitebox or redhat 9?

all the packages you are trying to install are built in to Whitebox ... (and probably RedHat 9 as well)...including the gtk theme engine...

use apt-get (RH9) or yum (whitebox) to install these packages:

gtk+
gtk2
gtk-engines
gtk2-engines
pkgconfig
glib
glib2
gtkhtml2
gtkhtml3

If you really need to build packages ... which you might need to do, then you also need to install the following devel packages:

glib2-devel
glib-devel
gtk2-devel
gtk+-devel
gtkhtml3-devel
gtkhtml2-devel

I would start out with:

yum install gtk+ gtk2 gtk-engines gtk2-engines pkgconfig glib glib2 gtkhtml2 gtkhtml3

or

apt-get gtk+ gtk2 gtk-engines gtk2-engines pkgconfig glib glib2 gtkhtml2 gtkhtml3

and then if needed, do the devel files...
This is a "lo-fi" version of our main content. To view the full version with more information, formatting and images, please click here.
Invision Power Board © 2001-2017 Invision Power Services, Inc.